SDL_WindowEvent(3type)

NAME
SDL_WindowEvent - Window state change event data (event.window.*)

HEADER FILE
Defined in SDL3/SDL_events.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef struct SDL_WindowEvent
{
    SDL_EventType type; /**< SDL_EVENT_WINDOW_* */
    Uint32 reserved;
    Uint64 timestamp;   /**< In nanoseconds, populated using SDL_GetTicksNS() */
    SDL_WindowID windowID; /**< The associated window */
    Sint32 data1;       /**< event dependent data */
    Sint32 data2;       /**< event dependent data */
} SDL_WindowEvent;

AVAILABILITY
This struct is available since SDL 3.2.0.